Bug 53575 - Warnings from insmod about mcdx.o module during startup
Warnings from insmod about mcdx.o module during startup
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-12 01:21 EDT by Christopher Blizzard
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-05 15:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Blizzard 2001-09-12 01:21:52 EDT
Description of Problem:

When booting my machine I get an error after the part that says "Checking
root filesystem.  Here's a transcription of the error:

[01:24:55] <blizzard> mcdx.o: init_module: input/output error
[01:25:25] <blizzard> Hint: insmod errors can be caused by incorrect module
parameters, including invalid IO or IRQ parameters
[01:25:39] <blizzard> mcdx.o: insmod block-major-20 failed

How Reproducible:

Every time.

Addition Information:

I only have two SCSI cdroms attached to the machine.  No other cdroms are
Comment 1 Bill Nottingham 2001-09-12 13:32:20 EDT
I really have no idea what could be trying to autoload this. Arjan, any ideas?
Comment 2 Bill Nottingham 2001-09-26 11:17:26 EDT
Please attach /etc/fstab.
Comment 3 Christopher Blizzard 2001-09-26 11:53:04 EDT
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/sda3               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
/dev/hda4               /home                   ext3    defaults        1 2
/dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,kudzu,ro 0 0
/home/SWAP              swap                    swap    defaults        0 0
/dev/sda5               /media                  ext3    defaults        1 2
Comment 4 Bill Nottingham 2002-01-24 23:23:15 EST
Really late response:

Does this still happen?
Comment 5 Arjan van de Ven 2002-01-25 04:13:43 EST
I *really* *really* don't think you have an mcdx cdrom drive......
Comment 6 Christopher Blizzard 2002-01-25 12:11:40 EST
Yeah, I still see it occasionally.
Comment 7 Bill Nottingham 2005-04-05 15:53:10 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

I honestly have no idea how this could occur, and we didn't get any other
reports of this.

Note You need to log in before you can comment on or make changes to this bug.